<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Kendoui extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
		$data['content_area'] = "kendouigrid";
		$data['page_heading'] = "List of Resources";
		$record = array();
		for ($i = 1; $i <= 10; $i++) {
			$arr = array("Id"=>$i, "FirstName"=>"Krishna", "LastName"=>"Mamidanna","City"=>"Hyderabad","Title"=> "Mr","BirthDate"=>"10 December 1990","Age"=>30);
			$record[$i] = $arr;
		}
		$data['grid_data'] = $record;
		$this->load->view("includes/master",$data);
	}
	
	public function getdata()
	{
		$record = array();
		for ($i = 1; $i < 10; $i++) {
			$arr = array("Id"=>$i, "FirstName"=>"Krishna", "LastName"=>"Mamidanna","City"=>"Hyderabad","Title"=> "Mr","BirthDate"=>"10 December 1990","Age"=>30);
			$record[$i] = $arr;
		}
		$this->load->helper('json'); 
		echo json_encode($record);
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */